# $Revision: 1.53 $, $Date: 2009/03/15 20:22:27 $
Summary:	Parallel Virtual Machine
Summary(es.UTF-8):	Máquina virtual paralela
Summary(pl.UTF-8):	Rozproszona Maszyna Wirtualna
Summary(pt_BR.UTF-8):	Máquina virtual paralela
Name:		pvm
Version:	3.4.6
Release:	1
License:	Free
Group:		Applications/Networking
Source0:	ftp://ftp.netlib.org/pvm3/%{name}%{version}.tgz
# Source0-md5:	7b5f0c80ea50b6b4b10b6128e197747b
Source1:	%{name}d.init
Source2:	ftp://www.netlib.org/pvm3/book/%{name}-book.ps
# Source2-md5:	4a2f619000d672f572f9678a46e4e2d1
Patch0:		%{name}-aimk.patch
Patch1:		%{name}-noenv.patch
Patch2:		%{name}-gcc4.patch
URL:		http://www.epm.ornl.gov/pvm/pvm_home.html
BuildRequires:	m4
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pvm_root 	%{_libdir}/pvm3
%ifarch %{ix86}
%define		_pvm_arch	LINUX
%else
%ifarch alpha
%define		_pvm_arch	LINUXALPHA
%else
%ifarch sparc sparc64
%define		_pvm_arch	LINUXSPARC
%else
%ifarch ppc
%define		_pvm_arch	LINUXPPC
%else
%ifarch hppa
%define		_pvm_arch	LINUXHPPA
%else
%ifarch %{x8664}
%define		_pvm_arch	LINUX64
%else
%error "Unsupported architecture"
exit 1
%endif
%endif
%endif
%endif
%endif
%endif

%description
PVM is a software system that enables a collection of heterogeneous
computers to be used as a coherent and flexible concurrent
computational resource.

The individual computers may be shared- or local-memory
multiprocessors, vector supercomputers, specialized graphics engines,
or scalar workstations, that may be interconnected by a variety of
networks, such as ethernet, FDDI.

User programs written in C, C++ or Fortran access PVM through library
routines.

%description -l es.UTF-8
PVM suministra una biblioteca de envío de mensajes y un ambiente que
puede configurarse en "runtime", en una gran variedad de plataformas
de multiprocesamiento.

%description -l pl.UTF-8
PVM jest systemem pozwalającym na używanie zestawu heterogenicznych
komputerów jako jednej maszyny.

%description -l pt_BR.UTF-8
O PVM provê uma biblioteca de envio de mensagens e ambiente que pode
ser configurado em "runtime", em uma variedade de plataformas de
multiprocessamento.

%package devel
Summary:	PVM header files and static libraries
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para pvm
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki statyczne PVM
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o pvm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains PVM header files and static libraries.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión y bibliotecas que se
necesitan para desarrollar programas que usan pvm.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe i biblioteki (statyczne) PVM.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão e bibliotecas que são
necessários para desenvolver programas que usam o pvm.

%package examples
Summary:	PVM examples
Summary(pl.UTF-8):	Przykłady użycia PVM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains PVM examples written in C and Fortran, and book
written in English.

%description examples -l pl.UTF-8
Pakiet zawiera przykłady użycia PVM napisane w C oraz Fortranie, a
także książkę po angielsku.

%package -n pvmd
Summary:	PVM Daemon
Summary(pl.UTF-8):	Demon PVM
Group:		Applications/Networking
#Requires(post,preun):	/sbin/chkconfig

%description -n pvmd
PVM Daemon.

%description -n pvmd -l pl.UTF-8
Demon PVM.

%prep
%setup -q -n %{name}3
%patch0 -p1
%patch1 -p1
%patch2 -p1

cp %{SOURCE2} .

%build
cp -f lib/aimk lib/aimk.tmp
sed -e "s!@PVM_ROOT@!%{_pvm_root}!" -e "s!@PVM_ARCH@!%{_pvm_arch}!" lib/aimk.tmp > lib/aimk

PCFLOPTS="%{rpmcflags} -DDEFBINDIR=\\\"%{_pvm_root}/bin/\\\x24PVM_ARCH\\\""
PCFLOPTS="$PCFLOPTS -DDEFDEBUGGER=\\\"%{_bindir}/debugger2\\\""
PCFLOPTS="$PCFLOPTS -DPVMDPATH=\\\"%{_sbindir}/pvmd3\\\""
PCFLOPTS="$PCFLOPTS -DPVMROOT=\\\"%{_pvm_root}\\\""

PVM_ROOT=`pwd` \
%{__make} \
	CFLOPTS="$PCFLOPTS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_pvm_root}/conf} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}/{examples,gexamples,hoster,misc,tasker,xep} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,3},/etc/rc.d/init.d,%{_sbindir}}

install %{SOURCE1}  $RPM_BUILD_ROOT/etc/rc.d/init.d/pvmd

install lib/%{_pvm_arch}/{pvm,pvmgs} $RPM_BUILD_ROOT%{_bindir}
install lib/%{_pvm_arch}/pvmd3 $RPM_BUILD_ROOT%{_sbindir}
install lib/debugger	$RPM_BUILD_ROOT%{_bindir}
install lib/debugger2	$RPM_BUILD_ROOT%{_bindir}
install lib/pvmgetarch	$RPM_BUILD_ROOT%{_bindir}
install lib/pvmtmparch	$RPM_BUILD_ROOT%{_bindir}
install lib/aimk	$RPM_BUILD_ROOT%{_bindir}
install conf/%{_pvm_arch}.def $RPM_BUILD_ROOT%{_pvm_root}/conf
install include/{fpvm3,pvm3,pvmproto,pvmtev}.h $RPM_BUILD_ROOT%{_includedir}
install lib/%{_pvm_arch}/lib*.a $RPM_BUILD_ROOT%{_libdir}

install man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

# Examples
cp -rf examples gexamples hoster misc tasker xep $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: don't uncomment scripts unless you do something with this:
# Normal user can't use pvmd ran by another user (or root).
# User who wants to run pvm, runs his own copy of pvmd.

%post -n pvmd
##/sbin/chkconfig --add pvmd
##if [ -f /var/lock/subsys/pvmd ]; then
##	/etc/rc.d/init.d/pvmd restart >&2
##else
	echo "Run \"/etc/rc.d/init.d/pvmd start\" to start PVM daemon." >&2
##fi

##%preun -n pvmd
##if [ "$1" = "0" ]; then
##	if [ -f /var/lock/subsys/pvmd ]; then
##		/etc/rc.d/init.d/pvmd stop >&2
##	fi
##	/sbin/chkconfig --del pvmd
##fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/debugger
%attr(755,root,root) %{_bindir}/debugger2
%attr(755,root,root) %{_bindir}/pvmgetarch
%attr(755,root,root) %{_bindir}/pvmtmparch
%attr(755,root,root) %{_bindir}/pvm
%attr(755,root,root) %{_bindir}/pvmgs
%dir %{_pvm_root}
%{_mandir}/man1/pvm.1*
%{_mandir}/man1/pvm_intro.1*
%{_mandir}/man1/PVM.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aimk
%{_pvm_root}/conf
%{_includedir}/fpvm3.h
%{_includedir}/pvm3.h
%{_includedir}/pvmproto.h
%{_includedir}/pvmtev.h
%{_libdir}/libfpvm3.a
%{_libdir}/libgpvm3.a
%{_libdir}/libpvm3.a
%{_libdir}/libpvmtrc.a
%{_mandir}/man1/aimk.1*
%{_mandir}/man3/*

%files examples
%defattr(644,root,root,755)
%doc pvm-book.ps
%{_examplesdir}/%{name}

%files -n pvmd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pvmd3
%attr(754,root,root) /etc/rc.d/init.d/pvmd
%{_mandir}/man1/pvmd*
%{_mandir}/man1/pvm_shmd*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pvm.spec,v $
Revision 1.53  2009/03/15 20:22:27  duddits
- up to 3.4.6

Revision 1.52  2007/10/03 19:25:04  baggins
- rel 2

Revision 1.51  2007/08/22 17:23:33  qboosh
- use make macro
- removed non-existing entries from files

Revision 1.50  2007/08/22 15:34:57  agaran
- added /usr/lib/pvm3/bin{,%{_pvm_arch}} directories to pvmd

Revision 1.49  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.47  2006/12/16 09:28:05  rotom
- gcc4 patch added to build in th

Revision 1.46  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.45  2005/07/03 16:48:52  undefine
- up to 3.4.5

Revision 1.44  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.43  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.42  2004/01/08 14:46:27  jajcus
- Release: 4
- AMD64 support

Revision 1.41  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.40  2003/06/19 00:39:34  qboosh
- typos in pvmd.init
- moved pvmd manuals to proper package
- better Groups, other cleanups

Revision 1.39  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.37  2003/05/25 06:25:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/01/20 12:56:47  wiget
- one more man page

Revision 1.35  2003/01/03 08:47:25  cieciwa
- release 3,
- place pvmd in to sepatared package,
- included /etc/rc.d/init.d/pvmd.

Revision 1.34  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/11/13 14:17:24  wiget
- fixed stupid typo

Revision 1.30  2001/11/12 16:41:53  wiget
- typo

Revision 1.29  2001/11/12 16:02:33  kloczek
- merge translations from CNV and adapterized spec.

Revision 1.28  2001/11/12 15:57:54  wiget
- updated to 3.4.4

Revision 1.27  2001/11/12 15:07:38  wiget
- fine grained architecture selection

Revision 1.26  2001/11/12 14:31:20  wiget
- release 24
- PVM_ROOT moved to %{_libdir}/pvm3
- DEFBINDIR moved to PVM_ROOT/bin/PVM_ARCH

Revision 1.25  2001/10/03 16:40:31  filon
- added using %{name} macro in requires

Revision 1.24  2001/06/30 07:28:22  agaran
- added m4 to buildrequires (no need to rebuild,nor $rel++)

Revision 1.23  2001/04/14 12:04:57  qboosh
- back commented out scripts and init file - see NOTE
  please don't uncomment it unless you change pvm behaviour
- removed "man fix" - man package was broken, now is fixed
- use %rpmcflags, added pl translations
- release 23

Revision 1.22  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2001/01/05 19:23:17  dobrek
- Added pvm-book.ps to examples subpackage.

Revision 1.20  2001/01/03 23:59:11  kloczek
- uncomment %post/%preun svcripts,
- release 22 (for allow upgrade from RH),
- merged RH vaargfix patch,
- added URL.

Revision 1.19  2001/01/03 21:41:12  qboosh
- update to 3.4.3
- updated noenv patch

Revision 1.18  2000/12/27 14:09:35  kloczek
- adapterized and few cosmetics.

Revision 1.17  2000/12/26 21:05:20  qboosh
- Release 4:
- devel and examples subpackages
- examples to %{_examplesdir}, not %{_docdir}
- fix manuals
- moved xpvm to separate package (xpvm)
- setting PVM_ROOT no longer needed

Revision 1.16  2000/12/23 00:48:46  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/12/21 20:43:19  qboosh
- Release 3:
- added xpvm (as subpackage)
- BuildRequires
- fixed links
- PVM_ROOT, XPVM_ROOT variables setting (through /etc/profile.d)

Revision 1.14  2000/11/01 18:42:49  dobrek
- Realase=2
- A lot of changes. in %install and %files. It seams that everything can
  be keept in placec which are in agreement with FHS.
- Now tested only on i386. But soon the AXP version will apear.
- pvmd.init added.

Revision 1.13  2000/05/02 21:23:16  baggins
- fixed version, minor cleanup

Revision 1.12  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
